c
c	led4.f 1.4 92/07/01 15:23:27
c
c  Copyright 1991 Intel Corporation, Inc.
c  See the "Copyright" file for complete rights and liability information.
c
c  Part 4 of 4:
c    Called by main program (led.f) to delay between Dits and Dahs.

      subroutine delay(count)

      integer count, mtime

c  Delay approximately "count" milliseconds.

      mtime = mclock()
1     continue
      if(mclock() .lt. (mtime + count)) goto 1

      return

      end
